Firewall API
GET /api/v1/apps/{app_id}/firewall/aliases
Section titled “GET /api/v1/apps/{app_id}/firewall/aliases”List Aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/apps/{app_id}/firewall/aliases
Section titled “POST /api/v1/apps/{app_id}/firewall/aliases”Create Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Request body (required), application/json, AliasIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
cidr | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/apps/{app_id}/firewall/aliases/{name}
Section titled “DELETE /api/v1/apps/{app_id}/firewall/aliases/{name}”Delete Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/apps/{app_id}/firewall/aliases/{name}
Section titled “PUT /api/v1/apps/{app_id}/firewall/aliases/{name}”Update Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
name | path | string | yes |
Request body (required), application/json, AliasPatch
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
rename | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/apps/{app_id}/firewall/ipsets
Section titled “GET /api/v1/apps/{app_id}/firewall/ipsets”List IPSets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/apps/{app_id}/firewall/ipsets
Section titled “POST /api/v1/apps/{app_id}/firewall/ipsets”Create IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Request body (required), application/json, IpSetIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}
Section titled “DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}”Delete IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/apps/{app_id}/firewall/ipsets/{name}/members
Section titled “GET /api/v1/apps/{app_id}/firewall/ipsets/{name}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/apps/{app_id}/firewall/ipsets/{name}/members
Section titled “POST /api/v1/apps/{app_id}/firewall/ipsets/{name}/members”Add Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
name | path | string | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}
Section titled “DELETE /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}
Section titled “PUT /api/v1/apps/{app_id}/firewall/ipsets/{name}/members/{cidr}”Update Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Request body (required), application/json, MemberPatch
| Field | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | |
nomatch | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/apps/{app_id}/firewall/log
Section titled “GET /api/v1/apps/{app_id}/firewall/log”Get Firewall Log
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/apps/{app_id}/firewall/options
Section titled “GET /api/v1/apps/{app_id}/firewall/options”Get Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/apps/{app_id}/firewall/options
Section titled “PUT /api/v1/apps/{app_id}/firewall/options”Update Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Request body (required), application/json, OptionsIn
| Field | Type | Required | Description |
|---|---|---|---|
enable | integer | null | no | |
policy_in | string | null | no | |
policy_out | string | null | no | |
dhcp | integer | null | no | |
ndp | integer | null | no | |
radv | integer | null | no | |
macfilter | integer | null | no | |
ipfilter | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/apps/{app_id}/firewall/refs
Section titled “GET /api/v1/apps/{app_id}/firewall/refs”List Referenced Objects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/apps/{app_id}/firewall/rules
Section titled “GET /api/v1/apps/{app_id}/firewall/rules”List Rules
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/apps/{app_id}/firewall/rules
Section titled “POST /api/v1/apps/{app_id}/firewall/rules”Create Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes |
Request body (required), application/json, RuleIn
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | |
action | string | yes | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/apps/{app_id}/firewall/rules/{pos}
Section titled “DELETE /api/v1/apps/{app_id}/firewall/rules/{pos}”Delete Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
pos | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/apps/{app_id}/firewall/rules/{pos}
Section titled “PUT /api/v1/apps/{app_id}/firewall/rules/{pos}”Update Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
pos | path | integer | yes |
Request body (required), application/json, RulePatch
| Field | Type | Required | Description |
|---|---|---|---|
type | string | null | no | |
action | string | null | no | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no | |
delete | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/apps/{app_id}/firewall/rules/{pos}/move
Section titled “PUT /api/v1/apps/{app_id}/firewall/rules/{pos}/move”Move Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
app_id | path | integer | yes | |
pos | path | integer | yes |
Request body (required), application/json, MoveIn
| Field | Type | Required | Description |
|---|---|---|---|
moveto | integer | yes | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/aliases
Section titled “GET /api/v1/firewall/cluster/{host_id}/aliases”List Aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/aliases
Section titled “POST /api/v1/firewall/cluster/{host_id}/aliases”Create Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Request body (required), application/json, AliasIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
cidr | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/aliases/{name}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/aliases/{name}”Delete Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/aliases/{name}
Section titled “PUT /api/v1/firewall/cluster/{host_id}/aliases/{name}”Update Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
name | path | string | yes |
Request body (required), application/json, AliasPatch
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
rename | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups”List Security Groups
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/groups
Section titled “POST /api/v1/firewall/cluster/{host_id}/groups”Create Security Group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Request body (required), application/json, object
| Field | Type | Required | Description |
|---|---|---|---|
group | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}”Delete Security Group
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases”List Aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases
Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases”Create Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, AliasIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
cidr | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}”Delete Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}
Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/aliases/{name}”Update Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, AliasPatch
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
rename | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets”List IPSets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets
Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets”Create IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, IpSetIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}”Delete IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members
Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members”Add Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}
Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/ipsets/{name}/members/{cidr}”Update Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Request body (required), application/json, MemberPatch
| Field | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | |
nomatch | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups/{group}/log
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/log”Get Firewall Log
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups/{group}/options
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/options”Get Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/options
Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/options”Update Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, OptionsIn
| Field | Type | Required | Description |
|---|---|---|---|
enable | integer | null | no | |
policy_in | string | null | no | |
policy_out | string | null | no | |
dhcp | integer | null | no | |
ndp | integer | null | no | |
radv | integer | null | no | |
macfilter | integer | null | no | |
ipfilter | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups/{group}/refs
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/refs”List Referenced Objects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/groups/{group}/rules
Section titled “GET /api/v1/firewall/cluster/{host_id}/groups/{group}/rules”List Rules
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/groups/{group}/rules
Section titled “POST /api/v1/firewall/cluster/{host_id}/groups/{group}/rules”Create Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, RuleIn
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | |
action | string | yes | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}”Delete Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
pos | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}
Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}”Update Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, RulePatch
| Field | Type | Required | Description |
|---|---|---|---|
type | string | null | no | |
action | string | null | no | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no | |
delete | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}/move
Section titled “PUT /api/v1/firewall/cluster/{host_id}/groups/{group}/rules/{pos}/move”Move Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, MoveIn
| Field | Type | Required | Description |
|---|---|---|---|
moveto | integer | yes | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/ipsets
Section titled “GET /api/v1/firewall/cluster/{host_id}/ipsets”List IPSets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/ipsets
Section titled “POST /api/v1/firewall/cluster/{host_id}/ipsets”Create IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Request body (required), application/json, IpSetIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}”Delete IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members
Section titled “GET /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members
Section titled “POST /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members”Add Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
name | path | string | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}
Section titled “PUT /api/v1/firewall/cluster/{host_id}/ipsets/{name}/members/{cidr}”Update Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Request body (required), application/json, MemberPatch
| Field | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | |
nomatch | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/log
Section titled “GET /api/v1/firewall/cluster/{host_id}/log”Get Firewall Log
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/macros
Section titled “GET /api/v1/firewall/cluster/{host_id}/macros”List Macros
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/options
Section titled “GET /api/v1/firewall/cluster/{host_id}/options”Get Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/options
Section titled “PUT /api/v1/firewall/cluster/{host_id}/options”Update Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Request body (required), application/json, OptionsIn
| Field | Type | Required | Description |
|---|---|---|---|
enable | integer | null | no | |
policy_in | string | null | no | |
policy_out | string | null | no | |
dhcp | integer | null | no | |
ndp | integer | null | no | |
radv | integer | null | no | |
macfilter | integer | null | no | |
ipfilter | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/refs
Section titled “GET /api/v1/firewall/cluster/{host_id}/refs”List Referenced Objects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/cluster/{host_id}/rules
Section titled “GET /api/v1/firewall/cluster/{host_id}/rules”List Rules
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/cluster/{host_id}/rules
Section titled “POST /api/v1/firewall/cluster/{host_id}/rules”Create Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes |
Request body (required), application/json, RuleIn
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | |
action | string | yes | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/cluster/{host_id}/rules/{pos}
Section titled “DELETE /api/v1/firewall/cluster/{host_id}/rules/{pos}”Delete Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
pos | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}
Section titled “PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}”Update Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
pos | path | integer | yes |
Request body (required), application/json, RulePatch
| Field | Type | Required | Description |
|---|---|---|---|
type | string | null | no | |
action | string | null | no | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no | |
delete | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}/move
Section titled “PUT /api/v1/firewall/cluster/{host_id}/rules/{pos}/move”Move Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
pos | path | integer | yes |
Request body (required), application/json, MoveIn
| Field | Type | Required | Description |
|---|---|---|---|
moveto | integer | yes | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/groups/{host_id}/{group}/aliases
Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/aliases”List Aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/groups/{host_id}/{group}/aliases
Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/aliases”Create Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, AliasIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
cidr | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}
Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}”Delete Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}
Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/aliases/{name}”Update Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, AliasPatch
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
rename | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/groups/{host_id}/{group}/ipsets
Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/ipsets”List IPSets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/groups/{host_id}/{group}/ipsets
Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/ipsets”Create IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, IpSetIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}
Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}”Delete IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members
Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members
Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members”Add Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}
Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}
Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/ipsets/{name}/members/{cidr}”Update Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Request body (required), application/json, MemberPatch
| Field | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | |
nomatch | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/groups/{host_id}/{group}/log
Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/log”Get Firewall Log
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/groups/{host_id}/{group}/options
Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/options”Get Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/groups/{host_id}/{group}/options
Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/options”Update Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, OptionsIn
| Field | Type | Required | Description |
|---|---|---|---|
enable | integer | null | no | |
policy_in | string | null | no | |
policy_out | string | null | no | |
dhcp | integer | null | no | |
ndp | integer | null | no | |
radv | integer | null | no | |
macfilter | integer | null | no | |
ipfilter | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/groups/{host_id}/{group}/refs
Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/refs”List Referenced Objects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/groups/{host_id}/{group}/rules
Section titled “GET /api/v1/firewall/groups/{host_id}/{group}/rules”List Rules
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/groups/{host_id}/{group}/rules
Section titled “POST /api/v1/firewall/groups/{host_id}/{group}/rules”Create Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes |
Request body (required), application/json, RuleIn
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | |
action | string | yes | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}
Section titled “DELETE /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}”Delete Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
pos | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}
Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}”Update Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, RulePatch
| Field | Type | Required | Description |
|---|---|---|---|
type | string | null | no | |
action | string | null | no | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no | |
delete | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}/move
Section titled “PUT /api/v1/firewall/groups/{host_id}/{group}/rules/{pos}/move”Move Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
group | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, MoveIn
| Field | Type | Required | Description |
|---|---|---|---|
moveto | integer | yes | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/node/{host_id}/{node}/aliases
Section titled “GET /api/v1/firewall/node/{host_id}/{node}/aliases”List Aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/node/{host_id}/{node}/aliases
Section titled “POST /api/v1/firewall/node/{host_id}/{node}/aliases”Create Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, AliasIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
cidr | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/node/{host_id}/{node}/aliases/{name}
Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/aliases/{name}”Delete Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/node/{host_id}/{node}/aliases/{name}
Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/aliases/{name}”Update Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, AliasPatch
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
rename | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/node/{host_id}/{node}/ipsets
Section titled “GET /api/v1/firewall/node/{host_id}/{node}/ipsets”List IPSets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/node/{host_id}/{node}/ipsets
Section titled “POST /api/v1/firewall/node/{host_id}/{node}/ipsets”Create IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, IpSetIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}
Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}”Delete IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members
Section titled “GET /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members
Section titled “POST /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members”Add Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}
Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}
Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/ipsets/{name}/members/{cidr}”Update Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Request body (required), application/json, MemberPatch
| Field | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | |
nomatch | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/node/{host_id}/{node}/log
Section titled “GET /api/v1/firewall/node/{host_id}/{node}/log”Get Firewall Log
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/node/{host_id}/{node}/options
Section titled “GET /api/v1/firewall/node/{host_id}/{node}/options”Get Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/node/{host_id}/{node}/options
Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/options”Update Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, OptionsIn
| Field | Type | Required | Description |
|---|---|---|---|
enable | integer | null | no | |
policy_in | string | null | no | |
policy_out | string | null | no | |
dhcp | integer | null | no | |
ndp | integer | null | no | |
radv | integer | null | no | |
macfilter | integer | null | no | |
ipfilter | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/node/{host_id}/{node}/refs
Section titled “GET /api/v1/firewall/node/{host_id}/{node}/refs”List Referenced Objects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/node/{host_id}/{node}/rules
Section titled “GET /api/v1/firewall/node/{host_id}/{node}/rules”List Rules
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/node/{host_id}/{node}/rules
Section titled “POST /api/v1/firewall/node/{host_id}/{node}/rules”Create Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, RuleIn
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | |
action | string | yes | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/node/{host_id}/{node}/rules/{pos}
Section titled “DELETE /api/v1/firewall/node/{host_id}/{node}/rules/{pos}”Delete Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
pos | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}
Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}”Update Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, RulePatch
| Field | Type | Required | Description |
|---|---|---|---|
type | string | null | no | |
action | string | null | no | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no | |
delete | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}/move
Section titled “PUT /api/v1/firewall/node/{host_id}/{node}/rules/{pos}/move”Move Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, MoveIn
| Field | Type | Required | Description |
|---|---|---|---|
moveto | integer | yes | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/nodes/{host_id}/{node}/aliases
Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/aliases”List Aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/nodes/{host_id}/{node}/aliases
Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/aliases”Create Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, AliasIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
cidr | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}
Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}”Delete Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}
Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/aliases/{name}”Update Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, AliasPatch
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
rename | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets
Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets”List IPSets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets
Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets”Create IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, IpSetIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}
Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}”Delete IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members
Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members
Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members”Add Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}
Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}
Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/ipsets/{name}/members/{cidr}”Update Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Request body (required), application/json, MemberPatch
| Field | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | |
nomatch | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/nodes/{host_id}/{node}/log
Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/log”Get Firewall Log
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/nodes/{host_id}/{node}/options
Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/options”Get Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/nodes/{host_id}/{node}/options
Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/options”Update Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, OptionsIn
| Field | Type | Required | Description |
|---|---|---|---|
enable | integer | null | no | |
policy_in | string | null | no | |
policy_out | string | null | no | |
dhcp | integer | null | no | |
ndp | integer | null | no | |
radv | integer | null | no | |
macfilter | integer | null | no | |
ipfilter | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/nodes/{host_id}/{node}/refs
Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/refs”List Referenced Objects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/firewall/nodes/{host_id}/{node}/rules
Section titled “GET /api/v1/firewall/nodes/{host_id}/{node}/rules”List Rules
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/firewall/nodes/{host_id}/{node}/rules
Section titled “POST /api/v1/firewall/nodes/{host_id}/{node}/rules”Create Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes |
Request body (required), application/json, RuleIn
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | |
action | string | yes | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}
Section titled “DELETE /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}”Delete Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
pos | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}
Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}”Update Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, RulePatch
| Field | Type | Required | Description |
|---|---|---|---|
type | string | null | no | |
action | string | null | no | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no | |
delete | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}/move
Section titled “PUT /api/v1/firewall/nodes/{host_id}/{node}/rules/{pos}/move”Move Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
host_id | path | integer | yes | |
node | path | string | yes | |
pos | path | integer | yes |
Request body (required), application/json, MoveIn
| Field | Type | Required | Description |
|---|---|---|---|
moveto | integer | yes | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/vms/{vm_id}/firewall/aliases
Section titled “GET /api/v1/vms/{vm_id}/firewall/aliases”List Aliases
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/vms/{vm_id}/firewall/aliases
Section titled “POST /api/v1/vms/{vm_id}/firewall/aliases”Create Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Request body (required), application/json, AliasIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
cidr | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/vms/{vm_id}/firewall/aliases/{name}
Section titled “DELETE /api/v1/vms/{vm_id}/firewall/aliases/{name}”Delete Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/vms/{vm_id}/firewall/aliases/{name}
Section titled “PUT /api/v1/vms/{vm_id}/firewall/aliases/{name}”Update Alias
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
name | path | string | yes |
Request body (required), application/json, AliasPatch
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
rename | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/vms/{vm_id}/firewall/ipsets
Section titled “GET /api/v1/vms/{vm_id}/firewall/ipsets”List IPSets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/vms/{vm_id}/firewall/ipsets
Section titled “POST /api/v1/vms/{vm_id}/firewall/ipsets”Create IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Request body (required), application/json, IpSetIn
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | |
comment | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}
Section titled “DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}”Delete IPSet
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members
Section titled “GET /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members”List Members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
name | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members
Section titled “POST /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members”Add Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
name | path | string | yes |
Request body (required), application/json, MemberIn
| Field | Type | Required | Description |
|---|---|---|---|
cidr | string | yes | |
comment | string | null | no | |
nomatch | integer | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}
Section titled “DELETE /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}”Remove Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}
Section titled “PUT /api/v1/vms/{vm_id}/firewall/ipsets/{name}/members/{cidr}”Update Member
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
name | path | string | yes | |
cidr | path | string | yes |
Request body (required), application/json, MemberPatch
| Field | Type | Required | Description |
|---|---|---|---|
comment | string | null | no | |
nomatch | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/vms/{vm_id}/firewall/log
Section titled “GET /api/v1/vms/{vm_id}/firewall/log”Get Firewall Log
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/vms/{vm_id}/firewall/options
Section titled “GET /api/v1/vms/{vm_id}/firewall/options”Get Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/vms/{vm_id}/firewall/options
Section titled “PUT /api/v1/vms/{vm_id}/firewall/options”Update Options
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Request body (required), application/json, OptionsIn
| Field | Type | Required | Description |
|---|---|---|---|
enable | integer | null | no | |
policy_in | string | null | no | |
policy_out | string | null | no | |
dhcp | integer | null | no | |
ndp | integer | null | no | |
radv | integer | null | no | |
macfilter | integer | null | no | |
ipfilter | integer | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/vms/{vm_id}/firewall/refs
Section titled “GET /api/v1/vms/{vm_id}/firewall/refs”List Referenced Objects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
GET /api/v1/vms/{vm_id}/firewall/rules
Section titled “GET /api/v1/vms/{vm_id}/firewall/rules”List Rules
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/vms/{vm_id}/firewall/rules
Section titled “POST /api/v1/vms/{vm_id}/firewall/rules”Create Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes |
Request body (required), application/json, RuleIn
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | |
action | string | yes | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
DELETE /api/v1/vms/{vm_id}/firewall/rules/{pos}
Section titled “DELETE /api/v1/vms/{vm_id}/firewall/rules/{pos}”Delete Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
pos | path | integer | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}
Section titled “PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}”Update Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
pos | path | integer | yes |
Request body (required), application/json, RulePatch
| Field | Type | Required | Description |
|---|---|---|---|
type | string | null | no | |
action | string | null | no | |
enable | integer | null | no | |
macro | string | null | no | |
iface | string | null | no | |
source | string | null | no | |
dest | string | null | no | |
sport | string | null | no | |
dport | string | null | no | |
proto | string | null | no | |
comment | string | null | no | |
digest | string | null | no | |
delete | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}/move
Section titled “PUT /api/v1/vms/{vm_id}/firewall/rules/{pos}/move”Move Rule
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
vm_id | path | integer | yes | |
pos | path | integer | yes |
Request body (required), application/json, MoveIn
| Field | Type | Required | Description |
|---|---|---|---|
moveto | integer | yes | |
digest | string | null | no |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |